<img src="public/img/FediPlan.png" width="100">

# FediPlan
A web-app to schedule your posts with Mastodon and Pleroma.

[![License: GPL v3](https://img.shields.io/badge/License-GPL%20v3-blue.svg?style=for-the-badge)](https://www.gnu.org/licenses/gpl-3.0)
[![Liberapay patrons](https://img.shields.io/liberapay/patrons/tom79?label=Liberapay&style=for-the-badge)](https://liberapay.com/tom79/donate)
[![Open Collective backers and sponsors](https://img.shields.io/opencollective/all/fedilab?label=Open%20Collective&style=for-the-badge)](https://opencollective.com/fedilab)

## Public servers
- [plan.fedilab.app](https://plan.fedilab.app/)

## Translate

- [Crowdin](https://crowdin.com/project/fediplan)<br>
[![](https://badges.crowdin.net/fediplan/localized.svg)](https://crowdin.com/project/fediplan)

## Self-host

There are 2 methods to run Fediplan
1. [Build and run Docker image](#1-build-and-run-docker-image)
2. [Manual install](#2-manual-install)

### 1. Build and run Docker image

#### Required programs
- `git`
- `docker`

#### Steps

1. Install required programs

2. Clone this repo<br>
`git clone https://framagit.org/tom79/fediplan.git fediplan`

3. Build the Docker image<br>
`docker build --tag fediplan fediplan`

4. Run the docker image<br>
`docker run --detach --restart unless-stopped --name fediplan fediplan:latest`

5. Find the IP<br>
`docker inspect fediplan | grep IPAddress`

6. Fediplan should be available at _<ip_address>:8080_

### 2. Manual install

#### Required programs
- `git`
- `php 8.3` with these extensions:

    For Composer
    - `openssl`
    - `phar`
    - `iconv`
    - `xml`
    - `simplexml`
    - `xmlwriter`

    For running
    - `ctype`
    - `curl`
    - `dom`
    - `fpm`
    - `intl`
    - `mbstring`
    - `simplexml`
    - `session`
    - `tokenizer`

- `composer` ([getcomposer.org/download](https://getcomposer.org/download/))

#### Steps

1. Install required programs

2. Clone this repo<br>
`git clone https://framagit.org/tom79/fediplan.git fediplan`

3. Install vendors<br>
`php composer.phar install --optimize-autoloader --working-dir=fediplan`

4. Point your server software to `fediplan/public` folder

## Donate

- [Liberapay](https://liberapay.com/tom79/donate)
- [Open Collective](https://opencollective.com/fedilab)
- [More...](https://fedilab.app/page/donations/)

## Credits
Docker configurations are based on [github.com/TrafeX/docker-php-nginx](https://github.com/TrafeX/docker-php-nginx)
